using Gready_Poang.CommandClasses;
using Gready_Poang.Views;

namespace Gready_Poang.Pages;

public class RoundStartingPage : BasePage
{
    private readonly RoundStartingViewModelCommands _vm;

    public RoundStartingPage(RoundStartingViewModelCommands vm, SplashViewModelCommands splashVm)
        : base(new RoundStartingView(vm), splashVm)
    {
        Title = "Starta ny Runda";
        _vm = vm;
    }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        BindingContext = _vm;
        _vm.Get();
        _vm.GetParticipants();
    }

}
